/* File:   $Id: AggregatorApplication.java 2185 2011-11-21 17:29:22Z svc $
 * Revision: $Revision: 2185 $
 * Author:   $Author: svc $
 * Date:     $Date: 2011-11-21 18:29:22 +0100 (Mon, 21 Nov 2011) $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2011 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
 *  USA
 */
package dk.netarkivet.wayback.aggregator;

import dk.netarkivet.common.utils.ApplicationUtils;

/**
 * This wrapper class is used to start the {@link AggregationWorker} inside
 * Jetty.
 */
public class AggregatorApplication {

    /**
     * Runs the <code>IndexAggregator</code>. Settings are read from config 
     * files so the arguments array should be empty.
     * @param args an empty array.
     */
    public static void main(String[] args) {
        ApplicationUtils.startApp(AggregationWorker.class, args);
    }

}